Subject: Anti-Immigration Law Status/Seminar

From: Brian B. Jiang <[email-masked]>
Date: 31 Oct 1995 08:43:31 GMT

RE: New Development On the Anti-Immigration Bill(HR 2202) and 
			      Upcoming Seminar

Hi folks:

	As of today, the House Judiciary Committee has completed its 
markup on the Lamar Bill after 9 days of debate over several weeks.
Despite all the bad news, such as reduction of legal immigration and 
elimination of some family categories, there are a few signs of relief.
Both outstanding researchers/professors and national interest waivers were
restored to the Bill.  So professionals( scientists, post-docs, engineers
etc.) can still apply for permanent residence without labor certification
and sponsorship of their employers.

	On  the other hand, for those who have to apply through labor
cert, they are, as usual, still at the mercy of the Labor Dept.  Any 
positive change is yet to be seen.
  
	Although waiver of labor certification and employer sponsorship is
still obtainable for those who qualify, difficulties have been on the rise
and more are expected.  Nearly all four Service Centers have implemented 
some newly proposed requirements that make it very difficult to obtain an 
approval.  According to administrative rules no law should be carried out 
until it is final.  Despite the rules, INS is already treating the
proposals like enforceable law.  In the real world, things are not always 
the way they are supposed to be.  This is even more so in immigration
practice with today's anti-immigration fervor.
 
	I am an immigration attorney specializing in employment based
immigration(1st and 2nd preference).  I will hold seminars on how to apply
for a green card without labor certification and sponsorship of the employer.
The intended audiences of my seminar are professionals with advanced
degrees or a bachelor degree plus five years of work experience. I will 
also cover the impact of HR 2202 on future immigration.  The locations of 
the seminar will include: 
	
	1. University of Florida at Gainesville 
	
		University Center Hotel
		(President's Ballroom)
		1535 SW Archer Road
		Gainesville, FL
		Tel: (904)371-3333
		Time: 11/12/95 Sunday 2:00-4:00pm

	2. Columbia University at New York City
		
		Columbia University
		517 Hamilton Hall
		(close to W. 116th St. & Broadway)
		Time: 11/13/95 Monday 7:30-9:30pm

	3. Princeton University
		
		Location to be decided
		Time  11/14/95 Tuesday
		
	4. Baltimore near University of Maryland

		Holiday Inn Baltimore Inner Harbor
		(Chesateake Ballroom #1)
		301 W. Lombard Street
		Baltimore, MD		
		Tel: (410)685-3500
		Time: 11/15/95 Wed. 7:30-9:30pm
		
	5. Pittsburgh near Univ. of Pittsburgh

		Pittsburgh Green Tree Marriott
		(Near University of Pittsburgh)
		101 Marriott Drive
		Pittsburgh, PA
		Tel: (412)922-8400
		Time: 11/16/95 Thursday 7:30-9:30pm

	6. Boston at Cambridge

		Hyatt Regency Cambridge
		575 Memorial Drive
		Cambridge, MA
		Tel: (617)492-1234
		Time  11/17/95 Friday 7:30-9:30pm

	7. University of Connecticut

		Location to be decided
		Time  11/18/95 Saturday 2:30-4:30pm

	8. Palo Alto near Stanford University

		Holiday Inn Palo Alto
		(Near Stanford University)
		625 El Camino Real
		Palo Alto, CA
		Tel: (415)328-2800
		Time  11/19/95 Sunday  7:30-9:30pm

I will conduct these seminars during these time.

	All questions, comment, and suggestions are welcome.  You can also
reach me at tel. (619)278-5480 or (619)278-5492.

Brian B. Jiang  Esq.
Email: [email-masked]